Skip to navigation

Update Share

Update a specified Share. Only unbooked, active single-use shares can be updated.

Omitted fields are unchanged. Setting a field to null restores the parent event type’s current value for that field only (for contact, null removes the contact). The parent event type is never modified.

Required scopes

shares:write

Authentication

AuthorizationBearer
OAuth 2.0
OR
AuthorizationBearer
Personal Access Token

Path parameters

uuidstringRequired

Request

At least one field is required
contactstring or nullOptionalformat: "uri"
Contact URI to associate with the share. Set to null to remove the contact
namestring or nullOptional<=55 characters
durationinteger or nullOptional1-720
duration_optionslist of integers or nullOptional
period_typeenum or nullOptional
Allowed values:
start_datestring or nullOptionalformat: "date"

Format: YYYY-MM-DD

end_datestring or nullOptionalformat: "date"

Format: YYYY-MM-DD

max_booking_timeinteger or nullOptional>=1
min_booking_timeinteger or nullOptional>=1
hide_locationboolean or nullOptional
location_configurationslist of objects or nullOptional
Replaces all existing location configurations
availability_ruleobject or nullOptional
Replaces the existing availability rule

Response

OK
resourceobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error